org.apache.bsf.util.event.adapters

## Class java_awt_event_WindowAdapter

- java.lang.Object
- - org.apache.bsf.util.event.EventAdapterImpl
  - - org.apache.bsf.util.event.adapters.java_awt_event_WindowAdapter

- All Implemented Interfaces:
    java.awt.event.WindowListener, java.util.EventListener, EventAdapter

      public class java_awt_event_WindowAdapter
      extends EventAdapterImpl
      implements java.awt.event.WindowListener

- - ### Field Summary

    - ### Fields inherited from class org.apache.bsf.util.event.EventAdapterImpl

      `eventProcessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `java_awt_event_WindowAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `windowActivated(java.awt.event.WindowEvent e)`
    `void` | `windowClosed(java.awt.event.WindowEvent e)`
    `void` | `windowClosing(java.awt.event.WindowEvent e)`
    `void` | `windowDeactivated(java.awt.event.WindowEvent e)`
    `void` | `windowDeiconified(java.awt.event.WindowEvent e)`
    `void` | `windowIconified(java.awt.event.WindowEvent e)`
    `void` | `windowOpened(java.awt.event.WindowEvent e)`

    - ### Methods inherited from class org.apache.bsf.util.event.EventAdapterImpl

      `setEventProcessor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### java_awt_event_WindowAdapter

          public java_awt_event_WindowAdapter()

  - ### Method Detail

    - #### windowActivated

          public void windowActivated(java.awt.event.WindowEvent e)

      Specified by:
        `windowActivated` in interface `java.awt.event.WindowListener`

    - #### windowClosed

          public void windowClosed(java.awt.event.WindowEvent e)

      Specified by:
        `windowClosed` in interface `java.awt.event.WindowListener`

    - #### windowClosing

          public void windowClosing(java.awt.event.WindowEvent e)

      Specified by:
        `windowClosing` in interface `java.awt.event.WindowListener`

    - #### windowDeactivated

          public void windowDeactivated(java.awt.event.WindowEvent e)

      Specified by:
        `windowDeactivated` in interface `java.awt.event.WindowListener`

    - #### windowDeiconified

          public void windowDeiconified(java.awt.event.WindowEvent e)

      Specified by:
        `windowDeiconified` in interface `java.awt.event.WindowListener`

    - #### windowIconified

          public void windowIconified(java.awt.event.WindowEvent e)

      Specified by:
        `windowIconified` in interface `java.awt.event.WindowListener`

    - #### windowOpened

          public void windowOpened(java.awt.event.WindowEvent e)

      Specified by:
        `windowOpened` in interface `java.awt.event.WindowListener`